POST api/witnessapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
WitnessViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| date_hu | date |
None. |
|
| local_update | date |
None. |
|
| site_id | globally unique identifier |
Required |
|
| status | integer |
None. |
|
| wash_count | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "a133f1cc-7761-4188-a099-403aa20555e6",
"date_hu": "2026-06-10T01:07:42.4223924+00:00",
"local_update": "2026-06-10T01:07:42.4223924+00:00",
"site_id": "0db54887-3066-4346-af75-fe716491b7ee",
"status": 1,
"wash_count": 1
}
application/xml, text/xml
Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <date_hu>2026-06-10T01:07:42.4223924+00:00</date_hu> <id>a133f1cc-7761-4188-a099-403aa20555e6</id> <local_update>2026-06-10T01:07:42.4223924+00:00</local_update> <site_id>0db54887-3066-4346-af75-fe716491b7ee</site_id> <status>1</status> <wash_count>1</wash_count> </witness>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f48ae36d-f03d-4e3e-b3c7-a1bfbb00adf6"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f48ae36d-f03d-4e3e-b3c7-a1bfbb00adf6</guid>